Package picard.arrays.illumina

## Class ArraysControlInfo

- java.lang.Object
- - picard.arrays.illumina.ArraysControlInfo

-     public class ArraysControlInfo
      extends Object

  A simple class to store names and counts for the the Control Information fields that are stored in an Illumina GTC file.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ArraysControlInfo[]` | `CONTROL_INFO` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArraysControlInfo​(String control, String category, int red, int green)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `fullString()` |
    `String` | `getCategory()` |
    `String` | `getControl()` |
    `int` | `getGreen()` |
    `int` | `getRed()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONTROL_INFO

          public static ArraysControlInfo[] CONTROL_INFO

  - ### Constructor Detail

    - #### ArraysControlInfo

          public ArraysControlInfo​(String control,
                                   String category,
                                   int red,
                                   int green)

  - ### Method Detail

    - #### getCategory

          public String getCategory()

    - #### getControl

          public String getControl()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getGreen

          public int getGreen()

    - #### getRed

          public int getRed()

    - #### fullString

          public String fullString()